using System.Windows;

namespace XLAB
{
    public partial class SpnmtpDirectoryWindow : Window
    {
        private readonly SpnmtpDirectoryWindowViewModel _viewModel;

        public SpnmtpDirectoryWindow()
        {
            InitializeComponent();
            _viewModel = new SpnmtpDirectoryWindowViewModel(new PsvDataService(), new DialogService(this));
            DataContext = _viewModel;
        }

        private async void Window_Loaded(object sender, RoutedEventArgs e)
        {
            await _viewModel.InitializeAsync();
        }
    }
}
